<?php

$config = array(
	'EvCybertill' => array(

		'live' => array(),

		'dev' => array(
			'client_details' => [
				'wsdl' => 'http://ct28790.c-pos.co.uk/current/CybertillApi_v1_5.wsdl.php',
				'url' => '',
				'user_id' => '',
			],

			'paths' => [
				// The array path to the items in an order
				'items' => 'OrderItem',

				// The array path to the sku in each item
				'sku' => 'OrderItemData.sku',

				// The array path to the totals in an order
				'totals' => 'OrderTotal',
			],

			'location_id' => 1, // The id of the location orders are being made from

			'customer_id' => null,

			'customer_details' => null,

			'despatch_user_id' => null,

			// The general order details for a cybertill order
			'order_details' => [
				'website_id' => 1, // The id of the website orders are being made from
				'order_total_label' => 'Subtotal', // The label of the total that will be used as the order total (inc tax)
				'order_note' => '', // The note that will be added to the order
				'customer_order_reference' => null, // The customer order reference that will be added to the order
			],

			// The delivery details for a cybertill order
			'order_delivery' => [
				'recipient' => '', // The recipient of the order
				'instructions' => '', // Any instructions for order the store will need
				'giftMessage' => '', // A gift message that will be applied to an order
			],

			// The payment details for a cybertill order
			'order_payments' => [
				'type' => 2, // The payment type (2 is credit card)
				'total_label' => 'Subtotal' // The label of the total that will be used as the payment total (inc tax)
			],

			'models' => [
				// The cake model that represents a cybertill item (contains sku field)
				'item_model' => 'EvShop.Variant',

				// The cake model that represents a cybertill inventory (contains stock)
				'stock_model' => 'EvInventory.Inventory',
			],
		),
	),
);
